Bug 521140 - incorrect schema file location
Summary: incorrect schema file location
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Directory Server
Classification: Red Hat
Component: Documentation
Version: 8.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Deon Ballard
QA Contact: Joshua Wulf
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-03 20:25 UTC by Rich Megginson
Modified: 2016-06-21 13:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 521139
Environment:
Last Closed: 2009-11-09 06:07:02 UTC


Attachments (Terms of Use)

Description Rich Megginson 2009-09-03 20:25:15 UTC
1.2. Default Directory Server Schema Files

The server instance specific schema directory is /etc/dirsrv/slapd-instance_name/schema (/etc/opt/dirsrv/slapd-instance_name/schema on HP-UX).

Comment 1 Deon Ballard 2009-09-10 16:29:09 UTC
The main change from the original text was adding the reference to HP-UX; the original paragraph already mentioned the instance-specific schema directories on RHEL. 

The new text reads:

Template schema definitions for Directory Server are stored in the /etc/dirsrv/schema directory. These default schema files are used as schema templates for new Directory Server instances. Each server instance has its own instance-specific schema directory in /usr/lib/dirsrv/slapd-instance_name/schema (/etc/opt/dirsrv/slapd-instance_name/schema on HP-UX), with the schema files used specifically by that instance. 

Link:
http://www.redhat.com/docs/manuals/dir-server/8.1/schema/Schema_Reference-What_is_a_Schema.html#Schema_Reference-What_is_a_Schema-Directory_Server_Support

Comment 2 Rich Megginson 2009-09-10 16:37:47 UTC
Still not correct - should read

Each server instance has its own
instance-specific schema directory in
/etc/dirsrv/slapd-instance_name/schema

Comment 4 Deon Ballard 2009-09-11 18:58:40 UTC
Got it this time. 

#####

Each server instance has its own instance-specific schema directory in /etc/dirsrv/slapd-instance_name/schema (/etc/opt/dirsrv/slapd-instance_name/schema on HP-UX). The schema files in the instance directory are used only by that instance. 

#####

Link:
http://www.redhat.com/docs/manuals/dir-server/8.1/schema/Schema_Reference-What_is_a_Schema.html#Schema_Reference-What_is_a_Schema-Directory_Server_Support


Note You need to log in before you can comment on or make changes to this bug.